<template name="groupSettings">
  <form>
    <div class="details-form group-settings">
      <div class="row">
        <div class="col-md">
          <h3>
            <span class="fa-solid fa-gear fa-fw" aria-hidden="true"></span>
            {{i18n 'group.settings.title' 'Settings'}}
          </h3>
          <div class="mb-3">
            <label class="form-label">{{i18n 'group.settings.field.logo' 'Logo'}}</label>
            {{> editableImage logoFileUploadArgs}}
          </div>
        </div>

        <div class="col-md">
          <h3>
            <span class="fa-solid fa-users fa-fw" aria-hidden="true"></span>
            {{i18n 'group.settings.title.Members' 'Members'}}
          </h3>
          <div class="tag-group multiline">
            {{#each group.members}}
              <div class="tag tag-btn group-member-tag-btn-remove ">
                <button class="js-member-remove-btn" type="button"
                        title="{{i18n 'group.settings.removeFromGroup' 'remove member' attr=true}}">
                  <i class="fa-solid fa-xmark fa-fw" aria-hidden="true"></i>
                  {{username user}}
                  {{#unless isCurrentUser user}}
                    {{#if notify}}
                      <i class="fa-solid fa-bell fa-fw" aria-hidden="true"></i>
                    {{else}}
                      <i class="fa-solid fa-bell-slash fa-fw" aria-hidden="true"></i>
                    {{/if}}
                  {{/unless}}
                </button>
              </div>
              {{#if isCurrentUser user}}
                {{#if notify}}
                  <div class="tag tag-btn group-member-tag-notify addon">
                    <button class="js-member-toggle-notify-btn" type="button"
                            title="{{i18n 'group.settings.member.turnNotifyOff' 'Turn my notifications off' attr=true}}">
                      <i class="fa-solid fa-bell fa-fw" aria-hidden="true"></i>
                    </button>
                  </div>
                {{else}}
                  <div class="tag tag-btn group-member-tag-notify addon">
                    <button class="js-member-toggle-notify-btn" type="button"
                            title="{{i18n 'group.settings.member.turnNotifyOn' 'Turn my notifications on' attr=true}}">
                      <i class="fa-solid fa-bell-slash fa-fw" aria-hidden="true"></i>
                    </button>
                  </div>
                {{/if}}
              {{/if}}
              <div class="tag tag-link group-member-tag-profile addon">
                <a href="{{pathFor 'userprofile' _id=user}}"
                   title="{{i18n 'group.settings.member.profile' 'Visit profile' attr=true}}">
                  <i class="fa-solid fa-user fa-fw" aria-hidden="true"></i>
                </a>
              </div>
            {{/each}}
          </div>
          <div class="mb-3">
            <label
                   class="form-label">{{i18n 'group.settings.field.addMembers' 'Add a new member to your group'}}</label>
            <div class="input-group">
              <span class="input-group-text">
                <span class="fa-solid fa-user fa-fw" aria-hidden="true"></span>
              </span>
              <input class="js-search-users form-control" id="AddGroupMember"
                     placeholder="{{i18n 'group.settings.field.addMember.placeholder' 'Type name of buddy' attr=true}}"
                     size="40" type="text" />
            </div>
          </div>
          <div class="tag-group multiline">
            {{#each foundUsers group}}
              <div class="tag tag-btn group-member-tag-btn-add ">
                <button class="js-member-add-btn"
                        title="{{i18n 'group.settings.addMember' 'add as member' attr=true}}"
                        type="button">
                  <i class="fa-solid fa-plus fa-fw" aria-hidden="true"></i>
                  {{username this._id}}
                </button>
              </div>
              <div class="tag tag-link group-member-tag-profile addon">
                <a href="{{pathFor 'userprofile' _id=this._id}}"
                   title="{{i18n 'group.settings.member.profile' attr=true}}">
                  <i class="fa-solid fa-user fa-fw" aria-hidden="true"></i>
                </a>
              </div>
            {{/each}}
          </div>
        </div>
      </div>
    </div>
    <div class="details-addition">
      <h3>
        <span class="fa-solid fa-link fa-fw" aria-hidden="true"></span>
        {{i18n 'group.linksCollection.title' '{NAME}-views' NAME=siteName}}
      </h3>
      <ul class="list-unstyled">
        <li>Infoscreen-Link: <a href="{{kioskEventURL group}}"
             target="_blank">{{kioskEventURL group}}</a>
        </li>
        <li>Timetable-Link: <a href="{{timetableURL group}}"
             target="_blank">{{timetableURL group}}</a></li>
        <li>Schedule-Link: <a href="{{scheduleURL group}}" target="_blank">{{scheduleURL group}}</a>
        </li>
        <li>iframe-Eventboxes-Link: <a href="{{frameEventsURL group}}"
             target="_blank">{{frameEventsURL group}}</a>
        </li>
        <li>iframe-weekly-calendar-Link: <a href="{{frameWeekURL group}}"
             target="_blank">{{frameWeekURL group}}</a>
        </li>
        <li>iframe-calendar-Link: <a href="{{frameCalendarURL group}}"
             target="_blank">{{frameCalendarURL group}}</a>
        </li>
        <li>iframe-List-Link: <a href="{{frameListURL group}}"
             target="_blank">{{frameListURL group}}</a></li>
      </ul>

      {{#if isAdmin}}
        <p>
          {{#if group.createdby}}
            <strong>{{i18n 'group.settings.createdBy' 'Created by'}}</strong>:
            <span>{{> profileLink userId=group.createdby}}</span>
            <br />
          {{/if}}
          {{#if group.time_created}}
            <strong>{{i18n 'group.settings.timeCreated' 'Created at'}}</strong>:
            <span>{{calendarDayFormat group.time_created}}</span>
            <br />
          {{/if}}
          {{#if group.time_lastedit}}
            <strong>{{i18n 'group.settings.timeLastEdit' 'Last edit at'}}</strong>:
            <span>{{calendarDayFormat group.time_lastedit}}</span>
          {{/if}}
        </p>
      {{/if}}
    </div>
    {{#if isAdmin}}
      <div class="actions">
        {{> deleteConfirm deleteConfirmAttr}}
      </div>
    {{/if}}
  </form>
</template>
